Bug 804947 (CVE-2012-1568)

Summary: CVE-2012-1568 kernel: execshield: predictable ascii armour base address
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: agordeev, anton, arozansk, bhu, davej, dhoward, fhrbata, frigoris.ma, gansalmon, itamar, jkacur, jonathan, jwboyer, kernel-maint, kernel-mgr, lgoncalv, lwang, madhu.chinakonda, plougher, rt-maint, sforsber, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20120317,reported=20120317,source=internet,cvss2=1.9/AV:L/AC:M/Au:N/C:N/I:P/A:N,rhel-5/kernel=affected,rhel-5.6.z/kernel=affected,rhel-6/kernel=affected,rhel-6.2.z/kernel=affected,mrg-2/realtime-kernel=notaffected,fedora-all/kernel=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-24 09:21:45 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 804953, 804954, 804955, 804956, 804957, 875025, 901571    
Bug Blocks: 805237    

Description Petr Matousek 2012-03-20 05:36:10 EDT
When running a binary with a lot of shared libraries, predictable base address is used for one of the loaded libraries.

This flaw could be used to bypass ASLR.

References:
http://scarybeastsecurity.blogspot.com/2012/03/some-random-observations-on-linux-aslr.html
Comment 4 Petr Matousek 2012-03-20 05:51:09 EDT
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 804957]
Comment 7 Fedora Update System 2012-03-21 21:57:12 EDT
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2012-03-26 14:02:21 EDT
kernel-2.6.42.12-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 errata-xmlrpc 2012-11-06 13:17:26 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1426 https://rhn.redhat.com/errata/RHSA-2012-1426.html
Comment 18 Vincent Danen 2013-01-22 12:48:09 EST
Statement:

(none)
Comment 19 errata-xmlrpc 2013-01-22 14:56:16 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0168 https://rhn.redhat.com/errata/RHSA-2013-0168.html